org.apache.geode.cache.configuration

## Class ParameterType

- java.lang.Object
- - org.apache.geode.cache.configuration.ParameterType

-     @Experimental
      public class ParameterType
      extends java.lang.Object

  A "parameter" element describes a parameter used to initialize a Declarable object.

  Java class for parameter-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="parameter-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="string" type="{http://geode.apache.org/schema/cache}string-type"/>
               <element name="declarable" type="{http://geode.apache.org/schema/cache}declarable-type"/>
             </choice>
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DeclarableType` | `declarable`
    `protected java.lang.String` | `name`
    `protected StringType` | `string`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeclarableType` | `getDeclarable()` Gets the value of the declarable property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `StringType` | `getString()` Gets the value of the string property.
    `void` | `setDeclarable(DeclarableType value)` Sets the value of the declarable property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `setString(StringType value)` Sets the value of the string property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### string

          protected StringType string

    - #### declarable

          protected DeclarableType declarable

    - #### name

          protected java.lang.String name

  - ### Constructor Detail

    - #### ParameterType

          public ParameterType()

  - ### Method Detail

    - #### getString

          public StringType getString()

      Gets the value of the string property.
      Returns:
        possible object is `StringType`

    - #### setString

          public void setString(StringType value)

      Sets the value of the string property.
      Parameters:
        `value` - allowed object is `StringType`

    - #### getDeclarable

          public DeclarableType getDeclarable()

      Gets the value of the declarable property.
      Returns:
        possible object is `DeclarableType`

    - #### setDeclarable

          public void setDeclarable(DeclarableType value)

      Sets the value of the declarable property.
      Parameters:
        `value` - allowed object is `DeclarableType`

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`